SetCompressor lzma

!include "WinVer.nsh"
!include "WordFunc.nsh"
!include "MUI2.nsh"
!include "LogicLib.nsh"


Name "redirect-test 0.1"
OutFile "redirect-test.exe"
InstallDir "C:\Users\samuli\opt\nsistest"
ShowInstDetails show

!insertmacro MUI_PAGE_COMPONENTS
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES
!insertmacro MUI_PAGE_FINISH

Section "Main"
	; Get location of cmd.exe
	ReadEnvStr $R0 COMSPEC
	nsExec::ExecToLog '"$R0" /c "$SYSDIR\sc.exe" start openvpnserviceinteractive >nul'
	Pop $R0
	${If} "$R0" == "0"
		DetailPrint "Enabling OpenVPNService succeeded"
	${Else}
		DetailPrint "WARNING: $\"sc.exe start OpenVPNServiceInteractive$\" failed with return value of $R0"
	${EndIf}
SectionEnd